import request from '@/utils/request'

// 查询乡级区域列表
export function listXjqy(query) {
  return request({
    url: '/business/xjqy/list',
    method: 'get',
    params: query
  })
}

// 查询乡级区域详细
export function getXjqy(fid) {
  return request({
    url: '/business/xjqy/' + fid,
    method: 'get'
  })
}

// 查询乡级区域详细
export function getXjqyDetail(fid) {
  return request({
    url: '/business/xjqy/detail/' + fid,
    method: 'get'
  })
}


// 新增乡级区域
export function addXjqy(data) {
  return request({
    url: '/business/xjqy/add',
    method: 'post',
    data: data
  })
}

// 修改乡级区域
export function updateXjqy(data) {
  return request({
    url: '/business/xjqy/update',
    method: 'post',
    data: data
  })
}

// 删除乡级区域
export function delXjqy(fid) {
  return request({
    url: '/business/xjqy/delete/' + fid,
    method: 'get'
  })
}

// 打印乡级区域
export function printXjqy(query) {
  return request({
    url: '/business/xjqy/print',
    method: 'get',
    params: query
  })
}
